import graph;
import interpolate;

size(10cm,0);
xlimits(0,8,NoCrop);
ylimits(0,5,NoCrop);

real[] xpt,ypt;
real [] xpt={1, 1.5, 3, 3.5, 5, 7, 8};
real [] ypt={0, 1.5, 4, 3.5, 2, 4, 5};

// The grid :
xaxis(BottomTop, 0, 8, Ticks("%", Step=1, step=0.5, extend=true, ptick=lightgrey));
yaxis(LeftRight, 0, 5, Ticks("%", Step=1, step=0.5, extend=true, ptick=lightgrey));

// The axis.
xequals(Label("$y$",align=NE),0,ymin=0, ymax=5.45,
        Ticks(NoZero,pTick=nullpen, ptick=grey),
        p=linewidth(1pt), Arrow(2mm));
yequals(Label("$x$",align=2*E),0,xmin=0, xmax=8.45,
        Ticks(NoZero,pTick=nullpen, ptick=grey),
        p=linewidth(1pt), Arrow(2mm));
labelx("$O$",0,SW);

draw(graph(xpt,ypt,Hermite(monotonic)),linewidth(bp));
draw((0,0)--(5,5),linewidth(bp));

label("$y=x$",(5,5),N);
label("$y=f(x)$",(8,5),N);

shipout(format="pdf");
